> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/geo-endpoints-for-spatial-data-access.md).

# Endpoint geospaziali per l'accesso ai dati spaziali

{% hint style="success" %}
GeoPard utilizza <https://www.ogc.org/> formati di dati dell’Open Geospatial Consortium, come WMS per le immagini e WFS per i dati vettoriali. Inoltre, supportiamo gli shapefile per l’importazione e l’esportazione. Il motore è flessibile e consente di importare ed esportare dati in tutti questi formati. Per le immagini satellitari, utilizziamo [COG (Cloud Optimized GeoTIFF)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
Per eseguire richieste WMS/WFS è necessario installare Postman.
{% endhint %}

{% hint style="info" %}
Ogni richiesta deve essere firmata con l’HEADER "Authorization" (in cui va inserito il token) oppure con il parametro URL "geopardApiKey " (in cui va inserita la chiave API dell’utente).
{% endhint %}

Gli endpoint dell’API WMS sono memorizzati negli attributi "geoMaps" delle entità "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset" e "YieldDataset". Consulta [lo schema dei dati di GeoPard.](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/geopard-api-data-schema.md)

Gli endpoint dell’API WFS sono memorizzati negli attributi "boundaryUrl", "zonesMapUrl" e "attributesUrl" delle entità "Field" e "VectorAnalysisMap".

{% hint style="info" %}
Per ottenere immagini più accurate, consigliamo di utilizzare la proiezione EPSG:900913 anziché EPSG:3857.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/geo-endpoints-for-spatial-data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
